#
# spec file for package rsibreak (Version 0.8.9+0.9.0_b5)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           rsibreak
License:        GPL v2 or later
Url:            http://www.kde-apps.org/content/show.php?content=29725
Group:          Productivity/Other
BuildRoot:      %_tmppath/%name-%version-%release-root
Summary:        Assists in the Recovery and Prevention of Repetitive Strain Injury
Version:        0.9.0
Release:        2mcnl2009.0
Source0:        rsibreak-%{version}.tar.bz2
Requires:       task-kde4-minimal
BuildRequires:  kdebase4-workspace-devel

%description
Repetitive Strain Injury is an illness which can occur as a result of
working with a mouse and keyboard. This utility can be used to remind
you to take a break now and then.

%prep
%setup -q -n rsibreak-%{version}

%build
%cmake_kde4
 
%make

%install
rm -fr %buildroot
cd build

make DESTDIR=%buildroot install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -fr %buildroot

%files
/usr/bin/rsibreak                                                                                       
/usr/lib/kde4/plasma_applet_rsibreak.so                                                                 
/usr/lib/kde4/plasma_engine_rsibreak.so                                                                 
/usr/share/applications/kde4/rsibreak.desktop                                                           
/usr/share/apps/desktoptheme/default/widgets/rsibreak.svg                                               
/usr/share/apps/rsibreak/rsibreak.notifyrc                                                              
/usr/share/autostart/rsibreak.desktop                                                                   
/usr/share/dbus-1/interfaces/org.rsibreak.rsiwidget.xml                                                 
/usr/share/doc/HTML/en/rsibreak/common                                                                  
/usr/share/doc/HTML/en/rsibreak/dcop.png                                                                
/usr/share/doc/HTML/en/rsibreak/index.cache.bz2                                                         
/usr/share/doc/HTML/en/rsibreak/index.docbook                                                           
/usr/share/doc/HTML/en/rsibreak/logo.png                                                                
/usr/share/doc/HTML/en/rsibreak/popup.png                                                               
/usr/share/doc/HTML/en/rsibreak/statistics.png                                                          
/usr/share/doc/HTML/en/rsibreak/suspend.png                                                             
/usr/share/doc/HTML/et/rsibreak/common                                                                  
/usr/share/doc/HTML/et/rsibreak/index.cache.bz2                                                         
/usr/share/doc/HTML/et/rsibreak/index.docbook                                                           
/usr/share/doc/HTML/pt/rsibreak/common                                                                  
/usr/share/doc/HTML/pt/rsibreak/index.cache.bz2                                                         
/usr/share/doc/HTML/pt/rsibreak/index.docbook                                                           
/usr/share/doc/HTML/sv/rsibreak/common                                                                  
/usr/share/doc/HTML/sv/rsibreak/index.cache.bz2                                                         
/usr/share/doc/HTML/sv/rsibreak/index.docbook                                                           
/usr/share/doc/HTML/uk/rsibreak/common                                                                  
/usr/share/doc/HTML/uk/rsibreak/index.cache.bz2                                                         
/usr/share/doc/HTML/uk/rsibreak/index.docbook                                                           
/usr/share/icons/hicolor/128x128/apps/rsibreak.png                                                      
/usr/share/icons/hicolor/16x16/actions/rsibreak0.png                                                    
/usr/share/icons/hicolor/16x16/actions/rsibreak1.png                                                    
/usr/share/icons/hicolor/16x16/actions/rsibreak2.png                                                    
/usr/share/icons/hicolor/16x16/actions/rsibreak3.png                                                    
/usr/share/icons/hicolor/16x16/actions/rsibreak4.png                                                    
/usr/share/icons/hicolor/16x16/actions/rsibreakx.png                                                    
/usr/share/icons/hicolor/16x16/apps/rsibreak.png                                                        
/usr/share/icons/hicolor/22x22/actions/rsibreak0.png                                                    
/usr/share/icons/hicolor/22x22/actions/rsibreak1.png                                                    
/usr/share/icons/hicolor/22x22/actions/rsibreak2.png                                                    
/usr/share/icons/hicolor/22x22/actions/rsibreak3.png                                                    
/usr/share/icons/hicolor/22x22/actions/rsibreak4.png                                                    
/usr/share/icons/hicolor/22x22/actions/rsibreakx.png                                                    
/usr/share/icons/hicolor/22x22/apps/rsibreak.png                                                        
/usr/share/icons/hicolor/32x32/actions/duringbreaks.png                                                 
/usr/share/icons/hicolor/32x32/actions/rsibreak0.png                                                    
/usr/share/icons/hicolor/32x32/actions/rsibreak1.png                                                    
/usr/share/icons/hicolor/32x32/actions/rsibreak2.png                                                    
/usr/share/icons/hicolor/32x32/actions/rsibreak3.png                                                    
/usr/share/icons/hicolor/32x32/actions/rsibreak4.png                                                    
/usr/share/icons/hicolor/32x32/actions/rsibreakx.png                                                    
/usr/share/icons/hicolor/32x32/actions/timings.png                                                      
/usr/share/icons/hicolor/32x32/apps/rsibreak.png                                                        
/usr/share/kde4/services/plasma-applet-rsibreak.desktop                                                 
/usr/share/kde4/services/plasma-engine-rsibreak.desktop                                                 
/usr/share/locale/ar/LC_MESSAGES/plasma_applet_rsibreak.mo                                              
/usr/share/locale/ar/LC_MESSAGES/rsibreak.mo                                                            
/usr/share/locale/be/LC_MESSAGES/plasma_applet_rsibreak.mo                                              
/usr/share/locale/be/LC_MESSAGES/rsibreak.mo                                                            
/usr/share/locale/ca/LC_MESSAGES/rsibreak.mo                                                            
/usr/share/locale/cs/LC_MESSAGES/plasma_applet_rsibreak.mo                                              
/usr/share/locale/cs/LC_MESSAGES/rsibreak.mo                                                            
/usr/share/locale/da/LC_MESSAGES/plasma_applet_rsibreak.mo                                              
/usr/share/locale/da/LC_MESSAGES/rsibreak.mo                                                            
/usr/share/locale/de/LC_MESSAGES/rsibreak.mo                                                            
/usr/share/locale/el/LC_MESSAGES/plasma_applet_rsibreak.mo                                              
/usr/share/locale/el/LC_MESSAGES/rsibreak.mo                                                            
/usr/share/locale/es/LC_MESSAGES/plasma_applet_rsibreak.mo                                              
/usr/share/locale/es/LC_MESSAGES/rsibreak.mo                                                            
/usr/share/locale/et/LC_MESSAGES/plasma_applet_rsibreak.mo                                              
/usr/share/locale/et/LC_MESSAGES/rsibreak.mo                                                            
/usr/share/locale/fr/LC_MESSAGES/plasma_applet_rsibreak.mo                                              
/usr/share/locale/fr/LC_MESSAGES/rsibreak.mo                                                            
/usr/share/locale/ga/LC_MESSAGES/plasma_applet_rsibreak.mo
/usr/share/locale/ga/LC_MESSAGES/rsibreak.mo
/usr/share/locale/gl/LC_MESSAGES/plasma_applet_rsibreak.mo
/usr/share/locale/gl/LC_MESSAGES/rsibreak.mo
/usr/share/locale/hi/LC_MESSAGES/plasma_applet_rsibreak.mo
/usr/share/locale/hi/LC_MESSAGES/rsibreak.mo
/usr/share/locale/ja/LC_MESSAGES/plasma_applet_rsibreak.mo
/usr/share/locale/ja/LC_MESSAGES/rsibreak.mo
/usr/share/locale/km/LC_MESSAGES/plasma_applet_rsibreak.mo
/usr/share/locale/km/LC_MESSAGES/rsibreak.mo
/usr/share/locale/ko/LC_MESSAGES/plasma_applet_rsibreak.mo
/usr/share/locale/ko/LC_MESSAGES/rsibreak.mo
/usr/share/locale/nb/LC_MESSAGES/plasma_applet_rsibreak.mo
/usr/share/locale/nb/LC_MESSAGES/rsibreak.mo
/usr/share/locale/nds/LC_MESSAGES/plasma_applet_rsibreak.mo
/usr/share/locale/nds/LC_MESSAGES/rsibreak.mo
/usr/share/locale/nl/LC_MESSAGES/plasma_applet_rsibreak.mo
/usr/share/locale/nl/LC_MESSAGES/rsibreak.mo
/usr/share/locale/nn/LC_MESSAGES/plasma_applet_rsibreak.mo
/usr/share/locale/nn/LC_MESSAGES/rsibreak.mo
/usr/share/locale/oc/LC_MESSAGES/plasma_applet_rsibreak.mo
/usr/share/locale/oc/LC_MESSAGES/rsibreak.mo
/usr/share/locale/pl/LC_MESSAGES/rsibreak.mo
/usr/share/locale/pt/LC_MESSAGES/plasma_applet_rsibreak.mo
/usr/share/locale/pt/LC_MESSAGES/rsibreak.mo
/usr/share/locale/pt_BR/LC_MESSAGES/plasma_applet_rsibreak.mo
/usr/share/locale/pt_BR/LC_MESSAGES/rsibreak.mo
/usr/share/locale/ro/LC_MESSAGES/plasma_applet_rsibreak.mo
/usr/share/locale/ro/LC_MESSAGES/rsibreak.mo
/usr/share/locale/se/LC_MESSAGES/plasma_applet_rsibreak.mo
/usr/share/locale/se/LC_MESSAGES/rsibreak.mo
/usr/share/locale/sk/LC_MESSAGES/plasma_applet_rsibreak.mo
/usr/share/locale/sk/LC_MESSAGES/rsibreak.mo
/usr/share/locale/sv/LC_MESSAGES/plasma_applet_rsibreak.mo
/usr/share/locale/sv/LC_MESSAGES/rsibreak.mo
/usr/share/locale/tr/LC_MESSAGES/plasma_applet_rsibreak.mo
/usr/share/locale/tr/LC_MESSAGES/rsibreak.mo
/usr/share/locale/uk/LC_MESSAGES/plasma_applet_rsibreak.mo
/usr/share/locale/uk/LC_MESSAGES/rsibreak.mo
/usr/share/locale/zh_CN/LC_MESSAGES/plasma_applet_rsibreak.mo
/usr/share/locale/zh_CN/LC_MESSAGES/rsibreak.mo
/usr/share/locale/zh_TW/LC_MESSAGES/plasma_applet_rsibreak.mo

%changelog
* Sun Nov  9 2008 stbinner@suse.de
- fix build on ppc
* Wed Nov  5 2008 dmueller@suse.de
- add missing runtime dependencies
* Tue Oct 28 2008 wstephenson@suse.de
- update to 0.9.0-beta5
  * Install autostart file in correct location
  * Fix plasma applet
  * Respect 'presentation mode' by monitoring the freedesktop.org
    screensaver setting
  * Try to detect waking up from hibernation so timers can be reset
  * Fix welcome screen
  * Fix bug where timer did not count down in a slideshow
  * Fix build on non-x86 platforms
* Mon Oct 20 2008 stbinner@suse.de
- fix build on archs without mmx
* Thu Oct  9 2008 wstephenson@suse.de
- update to 0.9.0-beta4
  * Fix bugs in config dialog layouts
* Thu Jun 26 2008 dmueller@suse.de
- update to 0.9.0-beta3
  * porting to KDE4
* Sun Oct 15 2006 stbinner@suse.de
- Update to version 0.8
  * Replaced DCOP dialog with a more flexible and standardized
    interface to attach events to breaks
  * Show where RSIBreak is located in the tray when started a
    second time.
  * RSIBreak now has a manual.
  * Option to only reset timers when idle for the duration of a
    long break.
  * Skip button in relax popup
  * Xinerama fixes
    Images smaller than 1/3 of the screen will not be used for
    the slideshow
  * Some tiny optimizations and bugfixes
* Tue Jun 20 2006 stbinner@suse.de
- Update to version 0.7.1
  * New icons from Lee Olson.
  * Usability review from Tina Trillitzsch.
  * Two new DCOP calls: doTinyBreak and doBigBreak.
  * New statistics: percentage of activity during the last minute,
    last hour and last 6 hours.
  * Inform the user when the next break will be a big break.
  * Ability to make DCOP calls to the start and end of breaks.
  * Possibility to use KDCOP to set that up.
  * Possibility to break at fixed times.
* Tue May 30 2006 adrian@suse.de
- fix build for < 10.1
* Tue Apr 11 2006 stbinner@suse.de
- Update to version 0.6
* Wed Apr  5 2006 stbinner@suse.de
- Initial package (version 0.6 rc1)
